### Method

# Devhelp Sidebar get_selected_link

since: 3.30

#### Declaration [src]

    DhLink*
    dh_sidebar_get_selected_link (
      DhSidebar* sidebar
    )

#### Description [src]

last `DhLink` emitted by the `DhSidebar::link-selected` signal. See the documentation of `DhSidebar::link-selected`.

Available since: 3.30

#### Return value

Type: `DhLink`

The currently selected `DhLink` in the visible `GtkTreeView` of `sidebar`, or `NULL` if the selection is empty or if a language group row is selected. Unref with `dh_link_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.